<?php



/**
 * Description of ObserverFactory
 *
 * @author Benjamin
 */
class EmitterFactory
{
  static public function createEmitter(ARSignalEmitters $model )
  {
    $emitter = null;
    $type = $model->type;

    switch ($type)
    {
    case EmitterType::REST:
        $emitter = new RestEmitter();
        break;
    default:
        Yii::log( "Don't know how to create emitter of type '$type'", 'error' );
    }

    if ($emitter instanceof SignalEmitterI)
      $emitter->setConfig( $model->getEmitterConfig() );

    return $emitter;
  }
}
