<?php

/**
 * This is the model class for table "signalEmitters".
 *
 * The followings are the available columns in table 'signalEmitters':
 * @property integer $id
 * @property string $type
 * @property string $signalId
 * @property string $hostname
 * @property string $filepath
 * @property string $config
 */
class SignalEmitters extends SignalsARBase
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return SignalEmitters the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'signalEmitters';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('type, signalId, hostname, filepath', 'required'),
			array('type', 'length', 'max'=>64),
			array('signalId, hostname, filepath', 'length', 'max'=>255),
			array('config', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, type, signalId, hostname, filepath, config', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'type' => 'Type',
			'signalId' => 'Signal',
			'hostname' => 'Hostname',
			'filepath' => 'Filepath',
			'config' => 'Config',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('type',$this->type,true);
		$criteria->compare('signalId',$this->signalId,true);
		$criteria->compare('hostname',$this->hostname,true);
		$criteria->compare('filepath',$this->filepath,true);
		$criteria->compare('config',$this->config,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}