CREATE TABLE [connectionKeys] (
[id] INTEGER  NOT NULL PRIMARY KEY AUTOINCREMENT,
[hostname] VARCHAR(255) NOT NULL,
[key] VARCHAR(32) NOT NULL
);

CREATE TABLE [signalEmitters] (
[id] INTEGER  PRIMARY KEY AUTOINCREMENT NOT NULL,
[type] VARCHAR(64)  NOT NULL,
[signalId] VARCHAR(255)  NOT NULL,
[hostname] VARCHAR(255)  NOT NULL,
[filepath] VARCHAR(255)  NOT NULL,
[config] TEXT  NULL
);

CREATE UNIQUE INDEX [idx_connectionKeys_hostname_unique] ON [connectionKeys](
[hostname]  ASC
);

CREATE INDEX [idx_signalEmitters_hostname] ON [signalEmitters](
[hostname]  ASC
);

CREATE INDEX [idx_signalEmitters_signalId] ON [signalEmitters](
[signalId]  ASC
);

CREATE UNIQUE INDEX [idx_signalEmitters_slot_unique] ON [signalEmitters](
[signalId]  ASC,
[hostname]  ASC,
[filepath]  ASC
);
